/shorts.v1alpha1.MarketService/GetShortCampaignScoreboardGetShortCampaignScoreboard
Get the short-seller scoreboard: historic short campaigns and whether shorts won
Parameters
Define the version of the Connect protocol
Define the timeout, in ms
Request Body
Request for GetShortCampaignScoreboard RPC
optional exact industry filter (proto string)
(proto int32)
(proto int32)
Responses
Response for GetShortCampaignScoreboard RPC
(proto shorts.v1alpha1.ShortCampaign)
A historic short campaign: the peak short position and what the price did after
campaigns considered for the win-rate stats (proto int32)
percent (0-100) of scored campaigns where the price fell after 3 months (proto double)
percent (0-100) of scored campaigns where the price fell after 6 months (proto double)
campaigns matching the filter (proto int32)
Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation
The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].
A list of messages that carry the error details. There is no limit on the number of messages.
Contains an arbitrary serialized message along with a @type that describes the type of the serialized message, with an additional debug field for ConnectRPC error details.
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.
curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.MarketService/GetShortCampaignScoreboard" \
-H "Content-Type: application/json" \
-d '{
"industry": "string",
"limit": 0,
"offset": 0
}'curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.MarketService/GetShortCampaignScoreboard" \
-H "Content-Type: application/json" \
-d '{
"industry": "string",
"limit": 0,
"offset": 0
}'